be.ehealth.businessconnector.dicsv4.session.impl

## Class DicsSessionServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.dicsv4.session.impl.DicsSessionServiceImpl

- All Implemented Interfaces:
    DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class DicsSessionServiceImpl
      extends Object
      implements DicsSessionService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation of `DicsSessionService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DicsSessionServiceImpl()` default constructor, needed for ModuleBootstrapHook
    `DicsSessionServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator, DicsValidator dicsValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `FindAmpResponse` | `findAmp(FindAmpRequest findAmpRequest)`
    `FindCommentedClassificationResponse` | `findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)`
    `FindCompanyResponse` | `findCompany(FindCompanyRequest findCompanyRequest)`
    `FindCompoundingFormulaResponse` | `findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)`
    `FindCompoundingIngredientResponse` | `findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)`
    `FindLegislationTextResponse` | `findLegislationText(FindLegislationTextRequest findLegislationTextRequest)`
    `FindNonMedicinalProductResponse` | `findNonMedicinalProduct(FindNonMedicinalProductRequest findNonMedicinalProductRequest)`
    `FindReferencesResponse` | `findReferences(FindReferencesRequest findReferencesRequest)`
    `FindReimbursementResponse` | `findReimbursement(FindReimbursementRequest findReimbursementRequest)`
    `FindVmpResponse` | `findVmp(FindVmpRequest findVmpRequest)`
    `FindVmpGroupResponse` | `findVmpGroup(FindVmpGroupRequest findVmpGroupRequest)`
    `FindVtmResponse` | `findVtm(FindVtmRequest findVtmRequest)`
    `GetListOfActualMedicinalProductPackagesResponse` | `getListOfActualMedicinalProductPackages(GetListOfActualMedicinalProductPackagesRequest getListOfActualMedicinalProductPackagesRequest)`
    `GetListOfActualMedicinalProductsResponse` | `getListOfActualMedicinalProducts(GetListOfActualMedicinalProductsRequest getListOfActualMedicinalProductsRequest)`
    `GetListOfVirtualMedicinalProductsResponse` | `getListOfVirtualMedicinalProducts(GetListOfVirtualMedicinalProductsRequest getListOfVirtualMedicinalProductsRequest)`
    `GetListOfVmpGroupsResponse` | `getListOfVmpGroups(GetListOfVmpGroupsRequest getListOfVmpGroupsRequest)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DicsSessionServiceImpl

          public DicsSessionServiceImpl(SessionValidator sessionValidator,
                                        EhealthReplyValidator replyValidator,
                                        DicsValidator dicsValidator)
                                 throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### DicsSessionServiceImpl

          public DicsSessionServiceImpl()

      default constructor, needed for ModuleBootstrapHook

  - ### Method Detail

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

    - #### findAmp

          public FindAmpResponse findAmp(FindAmpRequest findAmpRequest)
                                  throws TechnicalConnectorException,
                                         DicsException,
                                         DicsDataNotFoundException

      Specified by:
        `findAmp` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindAmpResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindAmpResponse

    - #### findCompany

          public FindCompanyResponse findCompany(FindCompanyRequest findCompanyRequest)
                                          throws TechnicalConnectorException,
                                                 DicsException,
                                                 DicsDataNotFoundException

      Specified by:
        `findCompany` in interface `DicsSessionService`
      Returns:
        FindCompanyResponse
      Throws:
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCompanyResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCompanyResponse
        `TechnicalConnectorException`

    - #### findLegislationText

          public FindLegislationTextResponse findLegislationText(FindLegislationTextRequest findLegislationTextRequest)
                                                          throws TechnicalConnectorException,
                                                                 DicsException,
                                                                 DicsDataNotFoundException

      Specified by:
        `findLegislationText` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindLegislationTextResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindLegislationTextResponse

    - #### findReferences

          public FindReferencesResponse findReferences(FindReferencesRequest findReferencesRequest)
                                                throws TechnicalConnectorException,
                                                       DicsException,
                                                       DicsDataNotFoundException

      Specified by:
        `findReferences` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindReferencesResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindReferencesResponse

    - #### findReimbursement

          public FindReimbursementResponse findReimbursement(FindReimbursementRequest findReimbursementRequest)
                                                      throws TechnicalConnectorException,
                                                             DicsException,
                                                             DicsDataNotFoundException

      Specified by:
        `findReimbursement` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindReimbursementResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindReimbursementResponse

    - #### findVmp

          public FindVmpResponse findVmp(FindVmpRequest findVmpRequest)
                                  throws TechnicalConnectorException,
                                         DicsException,
                                         DicsDataNotFoundException

      Specified by:
        `findVmp` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindVmpResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindVmpResponse

    - #### findCommentedClassification

          public FindCommentedClassificationResponse findCommentedClassification(FindCommentedClassificationRequest findCommentedClassificationRequest)
                                                                          throws TechnicalConnectorException,
                                                                                 DicsException,
                                                                                 DicsDataNotFoundException

      Specified by:
        `findCommentedClassification` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCommentedClassificationResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCommentedClassificationResponse

    - #### findFormula

          public FindCompoundingFormulaResponse findFormula(FindCompoundingFormulaRequest findCompoundingFormulaRequest)
                                                     throws TechnicalConnectorException,
                                                            DicsException,
                                                            DicsDataNotFoundException

      Specified by:
        `findFormula` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingFormulaResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingFormulaResponse

    - #### findIngredient

          public FindCompoundingIngredientResponse findIngredient(FindCompoundingIngredientRequest findCompoundingIngredientRequest)
                                                           throws TechnicalConnectorException,
                                                                  DicsException,
                                                                  DicsDataNotFoundException

      Specified by:
        `findIngredient` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingIngredientResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindCompoundingIngredientResponse

    - #### findVmpGroup

          public FindVmpGroupResponse findVmpGroup(FindVmpGroupRequest findVmpGroupRequest)
                                            throws TechnicalConnectorException,
                                                   DicsException,
                                                   DicsDataNotFoundException

      Specified by:
        `findVmpGroup` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindVmpGroupResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindVmpGroupResponse

    - #### findVtm

          public FindVtmResponse findVtm(FindVtmRequest findVtmRequest)
                                  throws TechnicalConnectorException,
                                         DicsException,
                                         DicsDataNotFoundException

      Specified by:
        `findVtm` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindVtmResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindVtmResponse

    - #### findNonMedicinalProduct

          public FindNonMedicinalProductResponse findNonMedicinalProduct(FindNonMedicinalProductRequest findNonMedicinalProductRequest)
                                                                  throws TechnicalConnectorException,
                                                                         DicsException,
                                                                         DicsDataNotFoundException

      Specified by:
        `findNonMedicinalProduct` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type FindNonMedicinalProductResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type FindNonMedicinalProductResponse

    - #### getListOfVirtualMedicinalProducts

          public GetListOfVirtualMedicinalProductsResponse getListOfVirtualMedicinalProducts(GetListOfVirtualMedicinalProductsRequest getListOfVirtualMedicinalProductsRequest)
                                                                                      throws TechnicalConnectorException,
                                                                                             DicsException,
                                                                                             DicsDataNotFoundException

      Specified by:
        `getListOfVirtualMedicinalProducts` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVirtualMedicinalProductsResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVirtualMedicinalProductsResponse

    - #### getListOfVmpGroups

          public GetListOfVmpGroupsResponse getListOfVmpGroups(GetListOfVmpGroupsRequest getListOfVmpGroupsRequest)
                                                        throws TechnicalConnectorException,
                                                               DicsException,
                                                               DicsDataNotFoundException

      Specified by:
        `getListOfVmpGroups` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVmpGroupsResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfVmpGroupsResponse

    - #### getListOfActualMedicinalProductPackages

          public GetListOfActualMedicinalProductPackagesResponse getListOfActualMedicinalProductPackages(GetListOfActualMedicinalProductPackagesRequest getListOfActualMedicinalProductPackagesRequest)
                                                                                                  throws TechnicalConnectorException,
                                                                                                         DicsException,
                                                                                                         DicsDataNotFoundException

      Specified by:
        `getListOfActualMedicinalProductPackages` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductPackagesResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductPackagesResponse

    - #### getListOfActualMedicinalProducts

          public GetListOfActualMedicinalProductsResponse getListOfActualMedicinalProducts(GetListOfActualMedicinalProductsRequest getListOfActualMedicinalProductsRequest)
                                                                                    throws TechnicalConnectorException,
                                                                                           DicsException,
                                                                                           DicsDataNotFoundException

      Specified by:
        `getListOfActualMedicinalProducts` in interface `DicsSessionService`
      Returns:
      Throws:
        `TechnicalConnectorException`
        `DicsException` - if the response has a business error. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductsResponse
        `DicsDataNotFoundException` - if the response has no business data. The `getResponse` method can be expected to a StatusResponseType of type GetListOfActualMedicinalProductsResponse

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.